%define debug_package %{nil}

Name		: hugo
Version		: 0.56.3
Release		: 1%{?dist}
Summary		: The world’s fastest framework for building websites.
Group		: System/Web
License		: Apache License
URL		: https://gohugo.io/
#Source0	:
BuildRequires	: golang
BuildRequires	: git
Requires	: git

%description


%prep
%setup -T -q -c %{name}-%{version}
mkdir go
export GOPATH=`pwd`/go
export GO111MODULE=on
mkdir src
cd src
git clone https://github.com/gohugoio/hugo.git
cd hugo
git checkout tags/v%{version}
#go get -u -v github.com/gohugoio/hugo
go mod download


%build
export GOPATH=`pwd`/go
cd src/hugo
git checkout tags/v%{version}
go build -ldflags '-extldflags -s -w -buildid %{version}'
#go install -ldflags '-extldflags -s -w'


%install
install -p -D -m 0555 src/hugo/hugo %{buildroot}%{_bindir}/hugo


%files
%doc
%{_bindir}/hugo


%changelog
